org.apache.maven.scm

## Class ScmFile

- java.lang.Object
- - org.apache.maven.scm.ScmFile

All Implemented Interfaces:
  Serializable, Comparable<ScmFile>

    public class ScmFile
    extends Object
    implements Comparable<ScmFile>, Serializable

Author:
  Trygve Laugstøl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScmFile(String path, ScmFileStatus status)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(ScmFile other)`
`boolean` `equals(Object other)`
`String` `getPath()` Returns the relative path of the file.
`ScmFileStatus` `getStatus()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScmFile

    public ScmFile(String path,
                   ScmFileStatus status)

Parameters:
  `path` - The relative path of the file, should never start with any `File.separator`.
  `status` - The file status

### Method Detail

#### getPath

    public String getPath()

Returns the relative path of the file.

Returns:
  the file path

#### getStatus

    public ScmFileStatus getStatus()

Returns:
  The file status

#### compareTo

    public int compareTo(ScmFile other)

Specified by:
  `compareTo` in interface `Comparable<ScmFile>`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`